An Issue with SCORM Package

I uploaded a SCORM package to the Blackboard. However, the module can't be launched and it says "This course cannot be played because Flash is unavailable in your browser". I uploaded two SCORM packages and the other one worked perfectly fine. I tried both Chrome and Firefox, and I had my co-worker tried to launch it on his computer. Does anyone have similar experience like this? Is there any way to fix this issue? 

Thanks,

Yun

5 Replies